#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#if !defined(__hpux__) || (defined(__HPUX_VERSION) && __HPUX_VERSION > 9)
# define HAVE_UTIMES
#endif

#ifndef HAVE_UTIMES
# ifndef lint
static char RCSid[] = "$Id: utimes.c,v 1.2 1998/08/22 08:20:46 sjg Exp $";
# endif
#include <sys/types.h>
#include <sys/time.h>
#include <utime.h>

int
utimes(file, tvp)
	char *file;
	struct timeval *tvp;
{
	struct utimbuf utb, *utp;

	if (tvp) {
		utp = &utb;
		utp->actime = tvp[0].tv_sec;
		utp->modtime = tvp[1].tv_sec;
	} else
		utp = 0;
	return utime(file, utp);
}
#endif
